Page MenuHomePhabricator

Don’t report SPARQL errors as violations
Closed, ResolvedPublic

Description

It doesn’t make sense to report errors with SPARQL queries as constraint violations to users, that’s just confusing. We should log them and then report some inconspicuous status (perhaps TODO?).

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseQualityConstraints : wmf/1.32.0-wmf.13Report SPARQL errors as TODO, not VIOLATION
mediawiki/extensions/WikibaseQualityConstraints : masterReport SPARQL errors as TODO, not VIOLATION

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2018, 12:26 PM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

Do you have a screenshot of how it looks when the error is shown in the violation popup?
Maybe UX can come up with a good wording/way to show this.

Restricted Application added a project: Design. · View Herald TranscriptJul 18 2018, 7:39 PM
Lucas_Werkmeister_WMDE triaged this task as High priority.Jul 19 2018, 10:36 AM

It looks like this:


Since these errors are currently extremely common (notice all the other violation icons in the screenshot), I think we need to move forward with this ASAP.

Change 446787 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Report SPARQL errors as TODO, not VIOLATION

https://gerrit.wikimedia.org/r/446787

Change 446787 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Report SPARQL errors as TODO, not VIOLATION

https://gerrit.wikimedia.org/r/446787

Change 446813 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@wmf/1.32.0-wmf.13] Report SPARQL errors as TODO, not VIOLATION

https://gerrit.wikimedia.org/r/446813

Mentioned in SAL (#wikimedia-operations) [2018-07-19T18:27:13Z] <ladsgroup@deploy1001> Synchronized php-1.32.0-wmf.13/extensions/WikibaseQualityConstraints: SWAT: [[gerrit:446813|Report SPARQL errors as TODO, not VIOLATION (T199788)]] (duration: 00m 56s)

Change 446813 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@wmf/1.32.0-wmf.13] Report SPARQL errors as TODO, not VIOLATION

https://gerrit.wikimedia.org/r/446813

Mentioned in SAL (#wikimedia-operations) [2018-07-19T18:50:19Z] <ladsgroup@deploy1001> Synchronized php-1.32.0-wmf.13/extensions/WikibaseQualityConstraints: SWAT: [[gerrit:446813|Report SPARQL errors as TODO, not VIOLATION (T199788)]] (duration: 00m 56s)

Lucas_Werkmeister_WMDE closed this task as Resolved.Jul 19 2018, 6:57 PM
Lucas_Werkmeister_WMDE claimed this task.

Deployed. Cached constraint check results with SPARQL errors should be evicted over the next 24 hours.